summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marcel Saegebarth2010-04-20 00:56:41 +0200
committer David Somero2010-05-15 10:38:32 +0200
commitd72a63f25709970e604a6310ca6d63ccab704022 (patch)
treeaee4852711e24f0583a2a27e93b034c76f21a088
parent7cc9f93402b5ffdf8ba33b08e9815f8082995b89 (diff)
downloadslackbuilds-d72a63f25709970e604a6310ca6d63ccab704022.tar.gz
system/cbmfs: Added (A fuse filesystem for Commodore disk images)
-rw-r--r--system/cbmfs/README7
-rw-r--r--system/cbmfs/cbmfs.SlackBuild75
-rw-r--r--system/cbmfs/cbmfs.info10
-rw-r--r--system/cbmfs/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/system/cbmfs/README b/system/cbmfs/README
new file mode 100644
index 0000000000..5326b1cfba
--- /dev/null
+++ b/system/cbmfs/README
@@ -0,0 +1,7 @@
+cbmfs can mount your 8-bit Commodore disk images into your local
+filesystem. Currently d64, d71, d81, d80, d82 images are supported in
+read and write mode.
+
+cbmfs tries to resemble the commodore filetype by setting some unix
+access permissions. If you change the file permissions on unix with
+chmod you can alter the commodore file type.
diff --git a/system/cbmfs/cbmfs.SlackBuild b/system/cbmfs/cbmfs.SlackBuild
new file mode 100644
index 0000000000..a2a6760c7b
--- /dev/null
+++ b/system/cbmfs/cbmfs.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# SlackBuild script for "cbmfs".
+# Copyright 2010 Marcel Saegebarth <tsa@gmx.li>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cbmfs
+VERSION=1.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's/^CXXLAGS=/CXXFLAGS+=/' Makefile
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make
+
+mkdir -p $PKG/usr/bin
+install -s -D -m 0755 $TMP/$PRGNAM-$VERSION/cbmfsmount $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cbmfs/cbmfs.info b/system/cbmfs/cbmfs.info
new file mode 100644
index 0000000000..824c290f86
--- /dev/null
+++ b/system/cbmfs/cbmfs.info
@@ -0,0 +1,10 @@
+PRGNAM="cbmfs"
+VERSION="1.0"
+HOMEPAGE="http://llg.cubic.org/tools/cbmfs/"
+DOWNLOAD="http://llg.cubic.org/tools/cbmfs/cbmfs-1.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="dfe1547b1308b2deef750614ad0829e5"
+MD5SUM_x86_64=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="tsa@gmx.li"
+APPROVED="dsomero"
diff --git a/system/cbmfs/slack-desc b/system/cbmfs/slack-desc
new file mode 100644
index 0000000000..e99971f3d5
--- /dev/null
+++ b/system/cbmfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cbmfs: cbmfs (A fuse filesystem for Commodore disk images)
+cbmfs:
+cbmfs: cbmfs can mount your 8-bit Commodore disk images into your local
+cbmfs: filesystem. Currently d64, d71, d81, d80, d82 images are supported in
+cbmfs: read and write mode.
+cbmfs:
+cbmfs: cbmfs tries to resemble the commodore filetype by setting some unix
+cbmfs: access permissions. If you change the file permissions on unix with
+cbmfs: chmod you can alter the commodore file type.
+cbmfs:
+cbmfs: